.shop-steps {
	margin: 0.5em 0 2em;
}

.shop-steps__list {
	border-bottom: 1px dashed var(--dark);
}

.shop-steps__item {
	display: flex;
	align-items: center;
	flex: 1 1 auto;
	margin-right: 10px;
	padding: 5px 0 6px;
	user-select: none;

	@media (--xs) {
		margin-right: 20px;
		padding: 15px 0 16px;
	}

	&:last-child {
		margin-right: 0;
	}

	&::after {
		content: '';
		position: absolute;
		bottom: -1px;
		left: 0;
		width: 100%;
		height: 1px;
		background-color: transparent;
		transition: background-color 0.3s;
	}
}

a.shop-steps__item {
	@media (--m) {
		&:hover {
			&::after {
				background-color: var(--primary);
			}

			& .shop-steps__title {
				color: var(--primary);
			}
		}
	}
}

.shop-steps__item--active {
	position: relative;

	&::after {
		background-color: var(--primary);
	}

	& .shop-steps__title {
		color: var(--primary);
	}
}

.shop-steps__number {
	@mixin flex-center;

	width: 20px;
	height: 20px;
	background: var(--primary);
	color: var(--white);
	font-size: 0.5rem;
	text-align: center;
	border-radius: 50%;

	@media (--xs) {
		width: 24px;
		height: 24px;
		font-size: 0.75rem;
	}
}

.shop-steps__title {
	display: flex;
	margin-left: 5px;
	text-transform: uppercase;
	font-size: 0.75rem;
	color: var(--dark);
	transition: color 0.3s;

	@media (--xs) {
		margin-left: 10px;
		font-size: 0.85rem;
	}
}
